Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version:    

ruby -v: 1.9.2 Backport:  

Description

Added some documentation for Hash#key, when a Hash contains more than one key with the same value.

Associated revisions

Revision 317e2a50 - 05/22/2011 11:37 PM - drbrain (Eric Hodel)

hash.c:  Improve documentation of Hash#key.  Patch by Utkarsh

Kukreti.  [Ruby 1.9 - Bug #4760]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31705 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision f6809f61 - 05/31/2011 10:35 PM - drbrain (Eric Hodel)

hash.c (key_i):  Change rdoc from "the first occurence" to "an

occurrence" since first occurrence is not a specification of

Hash#key.  [Ruby 1.9 - Bug #4760]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31878 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/23/2011 08:37 AM - drbrain (Eric Hodel)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r31705.

Utkarsh, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

hash.c:  Improve documentation of Hash#key.  Patch by Utkarsh

Kukreti.  [Ruby 1.9 - Bug #4760]

#2 - 05/25/2011 12:55 AM - mame (Yusuke Endoh)

- Status changed from Closed to Open

Hello,

Returns the key of the first occurrence of a given value.

 Is this really guaranteed?

Writing a rdoc means deciding a spec.

Do not decide a spec without discussion.

Eric, please be careful to review a document patch.

--

Yusuke Endoh mame@tsg.ne.jp

#3 - 06/01/2011 07:32 AM - drbrain (Eric Hodel)

I thought this was ok since Hash is now sorted.
I will change this from "the first occurrence" to "an occurrence" since this is not guaranteed to be a specification of Hash#key.

#4 - 06/01/2011 07:36 AM - drbrain (Eric Hodel)

- Status changed from Open to Closed

This issue was solved with changeset r31878.

Utkarsh, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

hash.c (key_i):  Change rdoc from "the first occurence" to "an

occurrence" since first occurrence is not a specification of

Hash#key.  [Ruby 1.9 - Bug #4760]
